package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.PaymentEntity;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-14 14:51:30
 */
public interface PaymentService extends IService<PaymentEntity> {

    PageUtils queryPage(Map<String, Object> params);

    PageUtils myQueryPage(Map<String, Object> params);

    void savePayment(PaymentEntity payment);
    
    List<Map<String, Object>> getMapList(Map<String, Object> params);

    /**
     * 获取缴费总人数
     * @param meetingId
     * @return
     */
    int getTotal(Long meetingId);

    /**
     * 获取缴费金额
     * @param meetingId
     * @parma where
     * @return
     */
    BigDecimal getTotalMoney(Long meetingId, String where);
}

